<!DOCTYPE html>
<%--
 Copyright (c) 2011, 2012 IBM Corporation and others.

 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v1.0
 and Eclipse Distribution License v. 1.0 which accompanies this distribution.

 The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 and the Eclipse Distribution License is available at
 http://www.eclipse.org/org/documents/edl-v10.php.

 Contributors:

  Sam Padgett     - initial API and implementation
  Michael Fiedler - adapted for OSLC4J
  Jad El-khoury   - initial implementation of code generator (https://bugs.eclipse.org/bugs/show_bug.cgi?id=422448)

 This file is generated by org.eclipse.lyo.oslc4j.codegenerator
--%>

<%@page import="org.eclipse.lyo.oslc4j.core.model.ServiceProvider"%>
<%@page import="java.util.List" %>
<%@page import="se.kth.md.adaptors.basicexample.resources.Developer"%>
<%@page import="se.kth.md.adaptors.basicexample.servlet.ServletListener"%>
<%--
Start of user code imports
--%>
<%--
End of user code
--%>


<%@ page contentType="text/html" language="java" pageEncoding="UTF-8" %>

<%
  String creatorUri = (String) request.getAttribute("creatorUri");
  String serviceProviderId = (String) request.getAttribute("serviceProviderId");
%>
<%--
Start of user code getRequestAttributes
--%>
<%--
End of user code
--%>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
    <title>DeveloperCreationDialog</title>
    <%--
Start of user code (RECOMMENDED) headStuff
    --%>
    <%--
End of user code
    --%>
    <script type="text/javascript" src="<%=ServletListener.getServletBase() %>/delegatedUI.js"></script>
  </head>
  <body style="padding: 10px;">
    <div id="bugzilla-body">
    <form id="Create" method="POST" class="enter_bug_form">
    <%--
Start of user code (RECOMMENDED) formStuff
    --%>
    <%--
End of user code
    --%>
        <table style="clear: both;">
          <tr>
            <td><%= Developer.developsToHtmlForCreation1(request, serviceProviderId)%></td>
          </tr>
          <tr>
            <td><%= Developer.identifierToHtmlForCreation1(request, serviceProviderId)%></td>
          </tr>
          <tr>
            <td><%= Developer.titleToHtmlForCreation1(request, serviceProviderId)%></td>
          </tr>
          <tr>
            <td><%= Developer.instanceShapeToHtmlForCreation1(request, serviceProviderId)%></td>
          </tr>
          <tr>
            <td><%= Developer.serviceProviderToHtmlForCreation1(request, serviceProviderId)%></td>
          </tr>
          <tr>
            <td></td>
            <td>
              <input type="button"
                value="Submit"
                onclick="javascript: create( '<%= creatorUri %>' )">
              <input type="reset">
            </td>
          </tr>
        </table>
        <div style="width: 500px;">
        </div>
      </form>

      <div style="clear: both;"></div>
    </div>
  </body>
</html>
